// File:  ADTQueue\QueueDemo.java

/**
 * Realization of a Queue ADT
 * 
 * @author Bary W Pollack
 * @version Jan. 2, 2001 - 21:00 PST
 */

// Provides a simple demonstration of using the Queue class

public class QueueDemo {

    public static void main(String[] args) {
        System.out.println("Queue Demo");

        Queue queue = new Queue();
        queue.create();

        try {
            System.out.println();
            System.out.print("size=");
            System.out.println(queue.size());
        } catch (QueueException e) {
            System.out.println(e);
        }

        try {
            System.out.println();
            System.out.print("display: ");
            queue.display();
        } catch (QueueException e) {
            System.out.println(e);
        }

        System.out.println();
        System.out.println("End Queue Demo");
        System.out.println();
    }

}

/* ..... Execution Output .....

Queue Demo

size=
******************** BACKTRACE ********************
QueueException.java:46  from QueueException.<init>()
Queue.java:97  from Queue.checkNullQueue()
Queue.java:40  from Queue.size()
QueueDemo.java:23  from QueueDemo.main()
******************** EXCEPTION ********************
QueueException: queue is <null>

display: 
******************** BACKTRACE ********************
QueueException.java:46  from QueueException.<init>()
Queue.java:97  from Queue.checkNullQueue()
Queue.java:68  from Queue.display()
QueueDemo.java:31  from QueueDemo.main()
******************** EXCEPTION ********************
QueueException: queue is <null>

End Queue Demo

..... End Execution Output ..... */
